[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IEnumerable.GetEnumerator

Return an enumerator interface for this class

## Declaration

Source position: objpash.inc line 281

`function IEnumerable.GetEnumerator: IEnumerator;`

## Description

GetEnumerator returns a new IEnumerator interface for this class. This is called by the compiler whenever a for in loop is encountered in the source code to retrieve the enumerator instance.

## See also

IEnumerator |  | Enumerator support interface